.pdf-wrapper {
  background: #f3f3f3;
  border-top-left-radius: 24px;
  border-top-right-radius: 24px;
}

.pdf-toolbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 15px;
  background: #eaeaea;
  gap: 15px;
  border-top-left-radius: 24px;
  border-top-right-radius: 24px;
}

.toolbar-left {
  display: flex;
  align-items: center;
  gap: 20px;
}

.toolbar-right {
  display: flex;
  align-items: center;
  gap: 10px;
}

.left-tools,
.center-tools {
  display: flex;
  align-items: center;
  gap: 6px;
}

@media (max-width: 991px) {
  .pdf-toolbar {
    flex-direction: column;
    align-items: flex-end;
  }

  .toolbar-left {
    margin-left: 0;
  }
}

.pdf-wrapper .pdf-container {
  text-align: center;
  padding: 20px;
  background-color: var(--color-black);
}

.pdf-wrapper canvas {
  max-width: 100%;
  height: auto;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.pdf-wrapper .toolbar-left input {
  width: auto !important;
  padding: 0 8px !important;
  height: 32px !important;
}

.pdf-wrapper .page-num {
  width: 60px !important;
  text-align: center;
}

.pdf-wrapper .zoom-level {
  width: 80px !important;
  text-align: center;
}

.pdf-wrapper .page-num,
.pdf-wrapper .zoom-level {
  color: var(--color-black) !important;
  background: #fff !important;
  border: 1px solid #ccc !important;
  height: 32px;
  line-height: 32px;
}

.pdf-wrapper .page-count {
  color: var(--color-black) !important;
}

.pdf-wrapper .prev-page,
.pdf-wrapper .next-page,
.pdf-wrapper .zoom-in,
.pdf-wrapper .zoom-out,
.pdf-wrapper .fit-width,
.pdf-wrapper .print-pdf {
  background: transparent;
  color: var(--color-secondary-600);
  border: 0;
  cursor: pointer;
}
